EUCA-GET-PASSWORD(1)

NAME
euca-get-password - Retrieve the administrator password for an instance running Windows

SYNOPSIS
euca-get-password -k FILE [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] INSTANCE

DESCRIPTION
Retrieve the administrator password for an instance running Windows

  positional arguments:

INSTANCE
    ID of the instance to obtain the initial password for (required)

  optional arguments:

-k FILE, --priv-launch-key FILE
    file containing the private key corresponding to the key pair supplied at instance launch time (required)

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit